
<div> 
    <img id="bannerimage" [src] = "bannerImg">
    <!--[ngStyle]="{backgroundImage: 'url(../../assets/Jessie1.gif)'}"--> 
        <div  id="avatarDiv"class="rounded-circle">
            <img  type = "button" id="avatarPic" [src]="avatar" alt="Avatar" class="nav-link active" data-bs-toggle="modal" data-bs-target="#avatarModal"> 
        </div> 
</div>
<div>
    <h3 type="button" id="userEmail">{{user.email}}</h3>
    
</div>
<div class="modal fade" id="avatarModal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
  <div class="modal-dialog">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title">Update Profile</h5>
        <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
      </div>
      <div class="modal-body" style="background-image: url('https://cdn.bulbagarden.net/upload/thumb/a/a7/PSMD_poster.png/250px-PSMD_poster.png')">
        <div id="avatarChoice">
          <img (click)="newAvatar(0)" type="button"[src] = "userPicJames" class ="avatarOptions">
          <img (click)="newAvatar(1)" type="button"[src] = "userPicJessie" class="avatarOptions">
        </div> 
        <td>
          <tr>
            <div class="form-floating">
              <input type="username" class="form-control" placeholder="Username" id="username" style="opacity:0.75" [(ngModel)]="user.username">
              <label for="username">Username</label>
            </div>
          </tr>
          <br>
          <tr>
            <div class="form-floating mb-3">
              <input type="email" class="form-control" id="email" placeholder="name@example.com" style="opacity:0.75" [(ngModel)]="user.email">
              <label for="email">Email</label>
            </div>
          </tr>
          <tr>
          </tr>
        </td>
      </div>
      <div class="modal-footer">
        <button (click)="onSave()" id="saveButton"type="button" class="btn btn-primary " data-bs-dismiss="modal" >Save changes</button>
      </div>
    </div>
  </div>
</div>

<!-- <div  id="avatarModal" class="modal" tabindex="-1" role="dialog">
    <div class="modal-dialog" role="document">
      <div class="modal-content">
        <div class="modal-header">         
          <h5 class="modal-title">Update Your Profile</h5>
        </div>
        <div class="modal-body" style="background-image: url('https://cdn.bulbagarden.net/upload/thumb/a/a7/PSMD_poster.png/250px-PSMD_poster.png')">
          <div id="avatarChoice">
            <img type="button" (click)="newAvatar()" id="avatarOptions"  *ngFor=" let image of pics" [src]='image'>
            <img (click)="newAvatar(0)" type="button"[src] = "userPicJames" class ="avatarOptions">
            <img (click)="newAvatar(1)" type="button"[src] = "userPicJessie" class="avatarOptions">
          </div> 
          <div id="userInfo">
            <td>
              <tr>
                <div class="form-floating">
                  <input type="username" class="form-control" placeholder="Username" id="username" style="opacity:0.75" [(ngModel)]="username">
                  <label for="username">Username</label>
                </div>
              </tr>
              <br>
              <tr>
                <div class="form-floating mb-3">
                  <input type="email" class="form-control" id="email" placeholder="name@example.com" style="opacity:0.75" [(ngModel)]="email">
                  <label for="email">Email</label>
                </div>
              </tr>
            </td>
          </div>
        </div>
        <div style ="height: 5vw;" class="modal-footer">
          <button (click)="onSave()" id="saveButton"type="button" class="btn btn-primary " data-bs-dismiss="modal" >Save changes</button>
        </div>
      </div>
    </div>
</div> -->
